Package skyview.survey

# Class ProxyImage

java.lang.Object
skyview.survey.Image
skyview.survey.ProxyImage

All Implemented Interfaces:
  `Serializable`, `Component`

public class ProxyImage extends Image

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.survey.Image

`data`

## Constructor Summary

Constructors
Constructor
Description
`ProxyImage(String spell, WCS wcs, int width, int height, int depth)`
Construct a WCS

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
Clear the data array
`Image`
`getBaseImage()`
Get the current 'real' image.
`double[]`
`getCenter(int npix)`
Get the center position of the given output pixel
`double[][]`
`getCorners(int npix)`
Get the corners of the given output pixel
`double`
`getData(long npix)`
Get a pixels data associated with the image.
`double[]`
`getDataArray()`
Get the data as an array
`int`
`getDepth()`
Get the number of planes in the image
`int`
`getHeight()`
Get the height of the image
`String`
`getName()`
Get the name of the image
`String`
`getSpell()`
Get the spell associated with the proxy
`Transformer`
`getTransformer()`
Get the transformation to the pixel coordinates of the image
`WCS`
`getWCS()`
Get the WCS associated with the image.
`int`
`getWidth()`
Get the width of the image
`void`
`setData(long npix, double newData)`
Set the Data associated with the image.
`void`
`setDataArray(double[] newData)`
Set the data array
`void`
`setFactory(ImageFactory imFac)`
Set the factory that is used to create the real images
`protected void`
`setName(String name)`
set the name of the image
`boolean`
`valid()`
Is this currently a fully validated image?
`void`
`validate()`
Make sure the image is read for detailed use.

### Methods inherited from class skyview.survey.Image

`getDescription, initialize, isTiled, setAccumulate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyImage

public ProxyImage(String spell, WCS wcs, int width, int height, int depth) throws TransformationException
Construct a WCS

Throws:
  `TransformationException`

## Method Details

### getName

public String getName()
Get the name of the image

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `Image`

### setName

protected void setName(String name)
set the name of the image

Overrides:
  `setName` in class `Image`

### setFactory

public void setFactory(ImageFactory imFac)
Set the factory that is used to create the real images

### getWCS

public WCS getWCS()
Get the WCS associated with the image.

Overrides:
  `getWCS` in class `Image`

### getData

public double getData(long npix)
Get a pixels data associated with the image.

Overrides:
  `getData` in class `Image`

### getDataArray

public double[] getDataArray()
Get the data as an array

Overrides:
  `getDataArray` in class `Image`

### setData

public void setData(long npix, double newData)
Set the Data associated with the image.

Overrides:
  `setData` in class `Image`

### clearData

public void clearData()
Clear the data array

Overrides:
  `clearData` in class `Image`

### setDataArray

public void setDataArray(double[] newData)
Set the data array

Overrides:
  `setDataArray` in class `Image`

### getTransformer

public Transformer getTransformer()
Get the transformation to the pixel coordinates of the image

Overrides:
  `getTransformer` in class `Image`

### getWidth

public int getWidth()
Get the width of the image

Overrides:
  `getWidth` in class `Image`

### getHeight

public int getHeight()
Get the height of the image

Overrides:
  `getHeight` in class `Image`

### getDepth

public int getDepth()
Get the number of planes in the image

Overrides:
  `getDepth` in class `Image`

### getCenter

public double[] getCenter(int npix)
Get the center position of the given output pixel

Overrides:
  `getCenter` in class `Image`

### getCorners

public double[][] getCorners(int npix)
Get the corners of the given output pixel

Overrides:
  `getCorners` in class `Image`

### validate

public void validate()
Make sure the image is read for detailed use. Replace the proxy with the real image

Overrides:
  `validate` in class `Image`

### valid

public boolean valid()
Is this currently a fully validated image?

Overrides:
  `valid` in class `Image`

### getBaseImage

public Image getBaseImage()
Get the current 'real' image.

Overrides:
  `getBaseImage` in class `Image`

### getSpell

public String getSpell()
Get the spell associated with the proxy